{% extends 'base.html.twig' %}

{% block javascripts %}
    <script src="{{ asset('js/cards.js') }}" type="application/javascript"></script>
{% endblock %}

{% block title %}
- Collection Debug
{% endblock %}

{% block content %}
    {# TODO OnClick GoToCard #}
    <h2>Cartes actuellement implémentées ({{ cardFactory.allCardId | length }} cartes) :</h2>
    <div id="boxContainer">
        {{ include('Components/filters.html.twig') }}

        <div id="cardExchangeCollection">
            {% for id in cardFactory.allCardId %}
                {{ include('Card/card.html.twig', { 'card': cardFactory.loadCard(id), 'showCard': true, 'showRarity': true }) }}
            {% endfor %}
        </div>
    </div>
{% endblock %}